set Home [pwd]
catch {cd [file join unix]}
catch {cd [file join lib tkdnd unix]}
puts "+++ Running 'configure' in directory [pwd]..."
set libpath [file dirname [info library]]
catch {file delete -force config.cache}
catch {exec ./configure --enable-gcc --with-tcl=$libpath --with-tk=$libpath \
       >@ stdout}
puts "    +++ 'configure' completed successfully..."
puts "+++ Running 'make' in directory [pwd]..."
if {[catch {exec make >@ stdout} error]} {
  puts "    +++ 'make' failed:$error"
} else {
  puts "    +++ 'make' completed successfully..."
}
puts "*** Saving libraries..."
catch {
file rename -force ../lib/tkdnd/libtkdnd[info sharedlibextension] \
                   $Home/CDM/libTkDND[info sharedlibextension]
}
puts "+++ Removing unwanted files..."
catch {exec make clean}
catch {
file rename -force $Home/CDM/libTkDND[info sharedlibextension] \
                   ../lib/tkdnd/libtkdnd[info sharedlibextension]
}
exit 0
